use bevy::prelude::*;
use micro_musicbox::prelude::*;
use micro_musicbox::CombinedAudioPlugins;

fn main() {
	App::new()
		.add_plugins(DefaultPlugins)
		.add_plugins(CombinedAudioPlugins::<AssetServer>::new())
		.add_startup_system(play_audio)
		.run();
}

pub fn play_audio(mut music_box: MusicBox<AssetServer>) {
	music_box.play_music("The-Great-Madeja.mp3");
}
